### Constructor

# Gtk TextChildAnchornew_with_replacement

since: 4.6

#### Declaration [src]

    GtkTextChildAnchor*
    gtk_text_child_anchor_new_with_replacement (
      const char* character
    )

#### Description [src]

Creates a new `GtkTextChildAnchor` with the given replacement character.

Usually you would then insert it into a `GtkTextBuffer` with `gtk_text_buffer_insert_child_anchor()`.

Available since: 4.6

#### Parameters

`character`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkTextChildAnchor`

A new `GtkTextChildAnchor`

The caller of the function takes ownership of the data, and is responsible for freeing it.